"Seu computador precisa de drivers proprietários". OK, mas como os baixo?!

A imagem descreve muito bem o meu “problema”, ele fala que meu sistema necessita de drivers, mas não mostra nenhuma lista de drivers. Esquisito. Francamente não sinto falta de drivers no meu computador (Wi-Fi está normal, o som está normal, o vídeo está normal…), mas se a performance de um hardware meu pode ser melhorado, então acho válido instalá-lo.

O meu sistema é o Kubuntu 18.04 (64bit) atualizado.

Não sei se isso é relevante, mas aqui está o resultado do lspci:

$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)
00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 02)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Intel(R) 100 Series Chipset Family LPC Controller/eSPI Controller - 9D4E (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Multimedia audio controller: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL810xE PCI Express Fast Ethernet controller (rev 07)
02:00.0 Network controller: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter (rev 31)

Processadores Intel, instale: sudo apt-get install beignet

Ah! Descreva todo o seu setup!

1 curtida

Vou instalá-lo, mas você pode me explicar a função desse software, o que eu ganho com ele? OBS.: não sou da área de TI então explain like I’m five, por favor.

Eu ia perguntar o que mais você queria de informação uma vez que eu já havia informado o sistema operacional que estou usando e o resultado do comando lspci, mas vi agora que aparentemente esse comando não informa a quantidade de memória RAM que eu tenho e exatamente a versão do meu processador.

  • Processador i3-7020U
  • 4 GB RAM

A ideia é q melhora o desempenho para GPUs Intel.
O comando serve pra listar seu Hardware

1 curtida

Na verdade seu computador não precisa de mais drivers não. Pode ser um erro na apresentação dessa tela, ou simplesmente pode ser que ele queira dizer o computador está rodando drivers proprietários, como os de WiFi, por exemplo.
Em termos de vídeo, para maior desempenho em Intel, apenas tenha certeza de estar usando uma versão atualizada do Mesa Driver: https://www.diolinux.com.br/2017/03/como-instalar-ultima-versao-do-mesa-driver-de-vide-ubuntu.html

2 curtidas

Pessoal, muito obrigado pelas respostas.

2 curtidas

É um bug ou erro de tradução, se houvessem drivers a serem instalados eles apareceriam na tela.

2 curtidas

Pelo que pesquisei é só um erro de tradução mesmo.

2 curtidas

Eu fiz uma volta toda, procurando no histórico para trazer aqui uma solução completa e definitiva rsrs.

Esse erro é um erro de tradução. Segue aqui a prova com resumo, e o link original da onde foi tirado a informação e como resolver se for um incomodo.

O problema todo ai é simplesmente um erro de tradução do kcm-driver-manager, veja como está o arquivo de tradução dele.
Note que quem fez a tradução errou, falta um “não” antes do “precisa”.

errotraducaodriveskubuntu

Link original: [Seu computador precisa de drivers proprietários]
(Linux dicas e suporte: Erro Kubuntu "Seu computador precisa de drivers proprietários")

Espero ter ajudado, abraços a todos.

1 curtida

Sabe dizer se esse erro de tradução estará corrigido no *ubuntu 20.04?

1 curtida

Eu não tenho certeza, se olhar o link do post original,
o post é de “12 de setembro de 2018”.
Eu sou desenvolvedor, mas uso o linux mais como usuário mesmo, não estou muito por dentro.
Eu geralmente compartilho algo que eu já passei e precisei arrumar etc.
Mas não sei se esta é uma prioridade para correção no projeto deles rsrs.

Perguntei isso porque, suponho, é algo bastante simples de resolver (literalmente é só mudar uma linha de texto) e já vi esse problema ser comentado em outros locais, não é como se fosse algo que foi descoberto agora.

1 curtida

Eu sei. Acredito que é só alguém criar um commit de correção para o problema (Que acredito que já deve ter), mas eu não sei onde fica.
Quando alguém com permissões ver e aprovar o commit deve se resolver.
O problema que deve ser que no projeto do ubuntu deve ter uma lista enorme de bugfix para eles lidar, então só resta ter paciência mesmo ou fazer sozinho rsrs.

2 curtidas